Version 6.x.x Source

Table Name: `tabAuthorization Rule`

### Fields

Sr | Fieldname | Type | Label | Options
--- | --- | --- | --- | ---
1 | `transaction` | Select | Transaction |
    Sales Order
    Purchase Order
    Quotation
    Delivery Note
    Sales Invoice
    Purchase Invoice
    Purchase Receipt
    Appraisal
2 | `based_on` | Select | Based On |
    Grand Total
    Average Discount
    Customerwise Discount
    Itemwise Discount
    Not Applicable
3 | `customer_or_item` | Select | Customer or Item |
    Customer
    Item
4 | `master_name` | Dynamic Link | Customer / Item Name |
    customer_or_item
5 | `column_break_3` | Column Break |  |
6 | `company` | Link | Company | Company
7 | `section_break_17` | Section Break |  |
8 | `value` | Float | Authorized Value |
9 | `section_break_7` | Section Break |  |
10 | `system_role` | Link | Applicable To (Role) | Role
11 | `to_emp` | Link | Applicable To (Employee) | Employee
12 | `column_break_10` | Column Break |  |
13 | `system_user` | Link | Applicable To (User) | User
14 | `to_designation` | Link | Applicable To (Designation) | Designation
15 | `section_break_13` | Section Break |  |
16 | `approving_role` | Link | Approving Role (above authorized value) | Role
17 | `column_break_15` | Column Break |  |
18 | `approving_user` | Link | Approving User (above authorized value) | User

### Controller

#### erpnext.setup.doctype.authorization_rule.authorization_rule

### Class AuthorizationRule

Inherits from frappe.model.document.Document

check_duplicate_entry (self)

No docs

validate (self)

No docs

validate_rule (self)

No docs